package eu.dnetlib.ariadneplus.reader.utils;

import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.google.common.reflect.TypeToken;
import com.google.gson.Gson;

@Component
public class PropertiesMap {

    @Value("${class.map.specifications:undefined}")
    private String spec;

    private static Map<String, ClassSpec> map;

    public static ClassSpec get(String key){
        return map.get(key);
    }

    @PostConstruct
    public  void fill(){
        Type mapType = new TypeToken<HashMap<String,ClassSpec>>(){}.getType();
        map = new Gson().fromJson(spec,mapType);

    }
}
